Package com.evopdf

# Class PdfDocumentInfo

java.lang.Object
com.evopdf.PdfDocumentInfo

public class PdfDocumentInfo extends Object
This class encapsulates the options to control the PDF document description (author, title, keywords, etc). The HtmlToPdfConverter class exposes a reference to an object of this type in the `HtmlToPdfConverter.pdfDocumentInfo()` property

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfDocumentInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `authorName()`
  Gets the name of the author of the PDF document generated by the HTML to PDF converter
  `DateAndTime`
  `createdDate()`
  Gets the date and time when the PDF document was created
  `String`
  `keywords()`
  Gets the keywords of the PDF document generated by the HTML to PDF converter
  `void`
  `setAuthorName(String authorName)`
  Sets the name of the author of the PDF document generated by the HTML to PDF converter
  `void`
  `setCreatedDate(DateAndTime createdDate)`
  Sets the date and time when the PDF document was created
  `void`
  `setKeywords(String keywords)`
  Sets the keywords of the PDF document generated by the HTML to PDF converter
  `void`
  `setSubject(String subject)`
  Sets the subject of the PDF document generated by the HTML to PDF converter
  `void`
  `setTitle(String title)`
  Sets the title of the PDF document generated by the HTML to PDF converter
  `String`
  `Subject()`
  Gets the subject of the PDF document generated by the HTML to PDF converter
  `String`
  `Title()`
  Gets the title of the PDF document generated by the HTML to PDF converter

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfDocumentInfo

    public PdfDocumentInfo()

- ## Method Details

  - ### authorName

    public String authorName()
    Gets the name of the author of the PDF document generated by the HTML to PDF converter
    Returns:
      the name of the author of the PDF document

  - ### setAuthorName

    public void setAuthorName(String authorName)
    Sets the name of the author of the PDF document generated by the HTML to PDF converter
    Parameters:
      `authorName` - the name of the author of the PDF document to set

  - ### createdDate

    public DateAndTime createdDate()
    Gets the date and time when the PDF document was created
    Returns:
      the creation date

  - ### setCreatedDate

    public void setCreatedDate(DateAndTime createdDate)
    Sets the date and time when the PDF document was created
    Parameters:
      `createdDate` - the creation date to set

  - ### keywords

    public String keywords()
    Gets the keywords of the PDF document generated by the HTML to PDF converter
    Returns:
      the keywords of the PDF document

  - ### setKeywords

    public void setKeywords(String keywords)
    Sets the keywords of the PDF document generated by the HTML to PDF converter
    Parameters:
      `keywords` - the keywords to set

  - ### Subject

    public String Subject()
    Gets the subject of the PDF document generated by the HTML to PDF converter
    Returns:
      the subject of the PDF document

  - ### setSubject

    public void setSubject(String subject)
    Sets the subject of the PDF document generated by the HTML to PDF converter
    Parameters:
      `subject` - the subject to set

  - ### Title

    public String Title()
    Gets the title of the PDF document generated by the HTML to PDF converter
    Returns:
      the title of the PDF document

  - ### setTitle

    public void setTitle(String title)
    Sets the title of the PDF document generated by the HTML to PDF converter
    Parameters:
      `title` - the title to set